<?php

#########################################
# Original Author of file: Jimmy Conner #
#########################################

###################################################
# File modified by GRISARD Jean Marc			  #
# Contact ------> jmgrisard@capec.fr			  #
# Program ------> B.A.S.E tab for Cacti			  #
# Version ------> 0.1							  #
# Purpose ------> Display B.A.S.E inside of Cacti #
###################################################


function plugin_init_base() {
	global $plugin_hooks;
	$plugin_hooks['top_header_tabs']['base'] = 'base_show_tab';
	$plugin_hooks['top_graph_header_tabs']['base'] = 'base_show_tab';
	$plugin_hooks['config_arrays']['base'] = 'base_config_arrays';
	$plugin_hooks['draw_navigation_text']['base'] = 'base_draw_navigation_text';
	$plugin_hooks['top_graph_refresh']['base'] = 'base_top_graph_refresh';
	$plugin_hooks['config_settings']['base'] = 'base_config_settings';
}

function base_config_settings () {
	global $tabs, $settings;
	$tabs["misc"] = "Misc";

	$temp = array(
		"base_header" => array(
			"friendly_name" => "B.A.S.E",
			"method" => "spacer",
			),
		"base_url" => array(
			"friendly_name" => "B.A.S.E URL",
			"description" => "This is just URL used without http to connect to base.  (ex: 192.168.0.1/base).<br>Use |SERVERIP| to use the current server's IP. (ex: |SERVERIP|/base)",
			"method" => "textbox",
			"max_length" => 255,
			),
		"base_username" => array(
			"friendly_name" => "B.A.S.E Username",
			"description" => "This is the name to connect B.A.S.E  (ex: base).<br>",
			"method" => "textbox",
			"max_length" => 255,
			),
		"base_passwd" => array(
			"friendly_name" => "B.A.S.E Password",
			"description" => "This is the password to connect B.A.S.E  (ex: passbase).<br>",
			"method" => "textbox",
			"max_length" => 255,
			)
	);
	if (isset($settings["misc"]))
		$settings["misc"] = array_merge($settings["misc"], $temp);
	else
		$settings["misc"]=$temp;
}

function base_top_graph_refresh ($refresh) {
	if (basename($_SERVER["PHP_SELF"]) != "base.php")
		return $refresh;
	return 99999;
}

function base_show_tab () {
	global $config, $user_auth_realms, $user_auth_realm_filenames;
	$realm_id2 = 0;

	if (isset($user_auth_realm_filenames{basename('base.php')})) {
		$realm_id2 = $user_auth_realm_filenames{basename('base.php')};
	}
	if ((db_fetch_assoc("select user_auth_realm.realm_id
		from user_auth_realm where user_auth_realm.user_id='" . $_SESSION["sess_user_id"] . "'
		and user_auth_realm.realm_id='$realm_id2'")) || (empty($realm_id2))) {

		print '<a href="' . $config['url_path'] . 'plugins/base/base.php"><img src="' . $config['url_path'] . 'plugins/base/images/tab_base.gif" alt="base" align="absmiddle" border="0"></a>';

	}
}

function base_config_arrays () {
	global $user_auth_realms, $user_auth_realm_filenames;
	$user_auth_realms[38]='View B.A.S.E';
	$user_auth_realm_filenames['base.php'] = 38;
}


function base_draw_navigation_text ($nav) {
   $nav["base.php:"] = array("title" => "B.A.S.E", "mapping" => "index.php:", "url" => "base.php", "level" => "1");
   return $nav;
}

function base_version () {
	return array( 'name' 	=> 'B.A.S.E',
			'version' 	=> '0.1',
			'longname'	=> 'B.A.S.E Viewer',
			'author'	=> 'GRISARD Jean Marc',
			'email'	=> 'jmgrisard@capec.fr',
			);
}

?>